package client.network;

import javax.crypto.SecretKey;

import common.net.channel.ChannelHandlerContext;
import common.net.util.concurrent.Future;
import common.net.util.concurrent.GenericFutureListener;
import common.network.NetConnection;
import common.network.NetHandler;
import common.network.Packet;
import common.network.PacketRegistry;

public class DummyConnection extends NetConnection {
	public void channelActive(ChannelHandlerContext context) throws Exception {
	}

	public void setConnectionState(PacketRegistry newState) {
	}

	public void channelInactive(ChannelHandlerContext context) throws Exception {
	}

	public void exceptionCaught(ChannelHandlerContext context, Throwable throwable) throws Exception {
	}

	protected void channelRead0(ChannelHandlerContext context, Packet packet) throws Exception {
	}

	public void setNetHandler(NetHandler handler) {
	}

	public void sendPacket(Packet packet) {
	}

	public void sendPacket(Packet packet, GenericFutureListener<? extends Future<? super Void>> listener) {
	}

	public void processReceivedPackets() {
	}

	public String getCutAddress() {
		return "local";
	}

	public void closeChannel(String message) {
	}

	public boolean isChannelOpen() {
		return true;
	}

	public boolean hasNoChannel() {
		return false;
	}

	public void disableAutoRead() {
	}

	public void setCompressionTreshold(int treshold) {
	}

	public void checkDisconnected() {
	}

	public void startEncryption(SecretKey key) {
	}
}
